body {
  font-family: sans-serif;
  display: grid;
  height: 100vh;
  place-items: center;
}

h1 {
  font-size: 1.4rem;
}

.base-timer {
  position: relative;
  width: 300px;
  height: 300px;
}

.base-timer__svg {
  transform: scaleX(-1);
}

.base-timer__circle {
  fill: none;
  stroke: none;
}

.base-timer__path-elapsed {
  stroke-width: 7px;
  stroke: grey;
}

.base-timer__path-remaining {
  stroke-width: 7px;
  stroke-linecap: round;
  transform: rotate(90deg);
  transform-origin: center;
  transition: 1s linear all;
  fill-rule: nonzero;
  stroke: currentColor;
}

.base-timer__path-remaining.green {
  color: rgb(226, 0, 116);
}

.base-timer__path-remaining.orange {
  color: orange;
}

.base-timer__path-remaining.red {
  color: red;
}

.base-timer__label {
  position: absolute;
  width: 300px;
  height: 300px;
  top: 0;
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 48px;
}

img {
  height: 10vh;
  right: 0;
}

button {
  background-color: rgb(226, 0, 116); /* Magenta */
  border: none;
  width: 120px;
  height: 50px;
  color: white;
  padding: 10px 0px;
  text-align: center;
  text-decoration: none;
  display: inline-block;
  font-size: 24px;
  cursor: pointer;
  opacity: 0.8;
}


/* Add some hover effects to buttons */
button:hover {
  opacity: 1;
}

.disabled-button {
  background-color: rgb(180, 183, 182); /* Grey */
  cursor: auto;
}

/* Button used to open the contact form - fixed at the bottom of the page */
.open-button {
  background-color: #555;
  color: white;
  padding: 16px 20px;
  border: none;
  cursor: pointer;
  opacity: 0.8;
  position: fixed;
  bottom: 23px;
  right: 28px;
  width: 280px;
}

/* The popup form - hidden by default */
.form-popup {
  display: none;
  position: fixed;
  top: 40%;
  right: 10%;
  border: 3px solid lightgray;
  z-index: 9;
}

/* Add styles to the form container */
.form-container {
  max-width: 300px;
  padding: 10px;
  background-color: rgb(241, 241, 241);
 text-align: center;
}

/* Full-width input fields */
input {
  width: 50px;
  padding: 15px;
  margin: 5px 10px 22px 0;
  border: none;
  background: #ffffff;
  font-size: 1.2rem;
}

/* When the inputs get focus, do something */
input:focus {
  background-color: #ddd;
  outline: none;
  font-size: 1.4rem;
}

.form-container label {
  margin-right: 10px;
  font-size: 1rem;
  font-weight: 50;
}

/* Set a style for the submit/login button */
.form-container .btn {
  background-color: rgb(226, 0, 116);
  color: white;
  height:auto
  padding: 16px; 20px;
  border: none;
  cursor: pointer;
  width: 40%;
  margin-bottom: 10px;
  opacity: 0.8;
}

/* Add a red background color to the cancel button */
.form-container .cancel {
  background-color: grey;
}

/* Add some hover effects to buttons */
.form-container .btn:hover,
.open-button:hover {
  opacity: 1;
}
